Bug 223570 - Race condition causes failed link detection in network-functions
Race condition causes failed link detection in network-functions
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-19 20:19 EST by Grant Diffey
Modified: 2014-03-16 23:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 21:07:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Diff to check_link_down function to add sleep (366 bytes, patch)
2007-01-19 20:19 EST, Grant Diffey
no flags Details | Diff

  None (edit)
Description Grant Diffey 2007-01-19 20:19:52 EST
Description of problem:

Race condition in /etc/sysconfig/network-scripts/network-functions

Version-Release number of selected component (if applicable):


How reproducible:

It's a race condition.. umm.. it happens for me on a Dell workstation system 
with a broadcom nic and a cisco switch

Steps to Reproduce:

did I mention it's a race condition ;)
1.
2.
3.
  
Actual results:

/etc/init.d/network restart fails to detect the cable

Expected results:

It should sleep to allow the network interface to stabilise before testing if 
there is link.

Additional info:
Comment 1 Grant Diffey 2007-01-19 20:19:52 EST
Created attachment 146049 [details]
Diff to check_link_down function to add sleep
Comment 2 Bill Nottingham 2007-01-19 21:07:46 EST
It's already got a 5 second timeout. This is fixed in RHEL 5 by use of the
LINKDELAY parameter.
Comment 3 Grant Diffey 2007-01-19 23:11:20 EST
when you say already you mean "always has had" or it now has?(In reply to 
comment #2)
> It's already got a 5 second timeout. This is fixed in RHEL 5 by use of the
> LINKDELAY parameter.

when you say Already got.. do you mean always has had or its been recently 
fixed?
Comment 4 Bill Nottingham 2007-01-22 13:28:53 EST
initscripts has a 5 second wait for link status to be correct for dhcp in RHEL 3
or later. In RHEL5 the delay length is user configurable.

Note You need to log in before you can comment on or make changes to this bug.